Name:           yakuake
Version:        2.9
Release:        2.beta1%{?dist}
Summary:        Terminal emulator

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://extragear.kde.org/apps/yakuake/
Source0:        http://download.berlios.de/yakuake/%{name}-%{version}-beta1.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  kdelibs4-devel
BuildRequires:  cmake
BuildRequires:  chrpath

%description
Yakuake is a "Quake console" like terminal emulator.


%prep
%setup -q -n %{name}-%{version}-beta1


%build
# consider using %%{cmake_kde4} macro from /etc/rpm/macros.kde4 -- Rex

cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} .
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# fix/remove rpath
chrpath --list   %{buildroot}%{_bindir}/%{name}
chrpath --delete %{buildroot}%{_bindir}/%{name}

desktop-file-install --vendor fedora                            \
        --dir %{buildroot}%{_datadir}/applications              \
        --add-category Application                              \
        --add-category Utility                                  \
        --add-category KDE                                      \
        --add-category Qt                                       \
        --delete-original                                       \
        %{buildroot}%{_datadir}/applications/kde4/yakuake.desktop

%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x ${_bindir}/gtk-update-icon-cache ] ; then
        ${_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x ${_bindir}/gtk-update-icon-cache ] ; then
        ${_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi



%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog TODO
%{_bindir}/yakuake
%{_datadir}/applications/*yakuake.desktop
%{_datadir}/kde4/apps/yakuake
%{_datadir}/icons/hicolor/??x??/apps/%{name}.png


%changelog
* Wed Apr 02 2008 Rex Dieter <rdieter@fedoraproject.org> - 2.9-2.beta1
- BR: kdelibs4-devel
- description/summary: s/for KDE//

* Mon Feb 11 2008 Johan Cwiklinski <johan AT x-tnd DOT be> - 2.9-1.beta1
- upstream release for KDE4

* Mon Oct 30 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 2.7.5-4
- Add support for KonsoleScripts (#212862)

* Fri Sep 15 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 2.7.5-3
- Rebuild for FE6
- Update e-mail address
- Fix mixed-use-of-spaces-and-tabs rpmlint warning

* Sat May 20 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 2.7.5-2
- Add dist tag

* Sat May 20 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 2.7.5-1
- Update to 2.7.5
- Add `--disable-dependency-tracking' and `--enable-final' options
- Include translations

* Mon Oct 24 2005 Mickael <dreadyman@gmail.com>
- initial release

